Package org.eclipse.cdt.utils.debug

# Class DebugParameterKind

java.lang.Object
org.eclipse.cdt.utils.debug.DebugParameterKind

public final class DebugParameterKind extends Object
DebugParameterKind

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DebugParameterKind`
`REFERENCE`
`static final DebugParameterKind`
`REGISTER`
`static final DebugParameterKind`
`REGISTER_REFERENCE`
`static final DebugParameterKind`
`STACK`
`static final DebugParameterKind`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### UNKNOWN

public static final DebugParameterKind UNKNOWN

### STACK

public static final DebugParameterKind STACK

### REGISTER

public static final DebugParameterKind REGISTER

### REFERENCE

public static final DebugParameterKind REFERENCE

### REGISTER_REFERENCE

public static final DebugParameterKind REGISTER_REFERENCE

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`